Bug 434930 - gcjwebplugin error: Failed to run /usr/lib/mozilla/plugins/../../bin/pluginappletviewer.
gcjwebplugin error: Failed to run /usr/lib/mozilla/plugins/../../bin/pluginap...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nspluginwrapper (Show other bugs)
5.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Stransky
:
Depends On: 426618
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 07:04 EST by Martin Stransky
Modified: 2008-05-21 10:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2008-0477
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2008-02-26 07:04:25 EST
+++ This bug was initially created as a clone of Bug #426618 +++

Description of problem:

When used with new firefox-3.0-0.beta2.3.fc9.x86_64
and java-1.7.0-icedtea-1.7.0.0-0.22.b23.snapshot.fc9.x86_64
attempting to view a java applet (e.g. 
http://www.java.com/en/download/help/testvm.xml)
produces the strange error message cited above.

Using konq it works fine.  Apparently, this is some strange interaction of 
nspluginwrapper with firefox-3.
 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

-- Additional comment from stransky@redhat.com on 2007-12-23 04:22 EST --
can you please check nspluginwrapper-0.9.91.5-17.fc9?

-- Additional comment from belegdol@gmail.com on 2007-12-23 04:59 EST --
nspluginwrapper-0.9.91.5-17.fc9 does not help here. On the other hand,  removing
it from the system brings the java back on track. IIRC the gcjwebplugin was not
supposed to be wrapped, was it?
Here is the relevant output of firefox -g:
GCJ PLUGIN: thread 0x61dfb0: NP_GetValue
GCJ PLUGIN: thread 0x61dfb0: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x61dfb0: NP_GetValue return
GCJ PLUGIN: thread 0x61dfb0: NP_Initialize
GCJ PLUGIN: thread 0x61dfb0: plugin_test_appletviewer
gcjwebplugin.cc:1045: thread 0x61dfb0: Error: Failed to spawn applet viewer:
Failed to execute child process
"/usr/lib64/mozilla/plugins/../../bin/pluginappletviewer" (No such file or
directory)
GCJ PLUGIN: thread 0x61dfb0: plugin_test_appletviewer return
GCJ PLUGIN: thread 0x61dfb0: plugin_display_failure_dialog
GCJ PLUGIN: thread 0x61dfb0: plugin_display_failure_dialog return

-- Additional comment from ndbecker2@gmail.com on 2007-12-23 07:03 EST --
Same result here.  The original report _was_ for 
nspluginwrapper-0.9.91.5-17.fc9, sorry I didn't mention that.

-- Additional comment from stransky@redhat.com on 2008-01-03 06:27 EST --
java-1.7.0-icedtea needs rebuild against xulrunner at least.

-- Additional comment from stransky@redhat.com on 2008-01-03 07:49 EST --
anyway, is the java plugin wrapped by nspluginwrapper? Can you please attach an
output of "mozilla-plugin-config -l" when the java doesn't work?

-- Additional comment from ndbecker2@gmail.com on 2008-01-03 08:01 EST --
(In reply to comment #5)
> anyway, is the java plugin wrapped by nspluginwrapper? Can you please attach 
an
> output of "mozilla-plugin-config -l" when the java doesn't work?

mozilla-plugin-config -l
EXCLUDE_WRAP:
libtotem-*
EXCLUDE_LINK:

/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.libflashplayer.so
  Original plugin: 
File/Link /usr/lib/mozilla/plugins-wrapped/nphelix.xpt
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.nppdf.so
  Original plugin: 
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.nphelix.so
  Original plugin: 
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nphelix.so
  Original plugin: /usr/lib/mozilla/plugins/nphelix.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-wmp.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-wmp.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-dvx.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-dvx.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-rm.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-rm.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-qt.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-qt.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libjavaplugin.so
  Original plugin: /usr/lib64/mozilla/plugins/libjavaplugin.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.nsdejavu.so
  Original plugin: /usr/lib64/mozilla/plugins/nsdejavu.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nppdf.so
  Original plugin: /usr/lib/mozilla/plugins/nppdf.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nphelix.so
  Original plugin: /usr/lib/mozilla/plugins/nphelix.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-wmp.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-wmp.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-dvx.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-dvx.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-rm.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-rm.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-qt.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-qt.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libjavaplugin.so
  Original plugin: /usr/lib64/mozilla/plugins/libjavaplugin.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.nsdejavu.so
  Original plugin: /usr/lib64/mozilla/plugins/nsdejavu.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nppdf.so
  Original plugin: /usr/lib/mozilla/plugins/nppdf.so
  Wrapper version string: 0.9.91.5
[nbecker@nbecker1 ~]$ 

-- Additional comment from belegdol@gmail.com on 2008-01-15 12:48 EST --
So, what are we going to do with this problem? Why did java plugin started to
get picked up by the wrapper anyway?

-- Additional comment from stransky@redhat.com on 2008-01-15 12:56 EST --
it may be excluded from the wrapped plug-ins. I need to investigate it more...

-- Additional comment from stransky@redhat.com on 2008-01-22 06:24 EST --
shoul be fixed in nspluginwrapper-0.9.91.5-21.fc9

-- Additional comment from ndbecker2@gmail.com on 2008-01-22 19:17 EST --
(In reply to comment #9)
> shoul be fixed in nspluginwrapper-0.9.91.5-21.fc9

Tested on F8.  The java test page 
http://www.java.com/en/download/help/testvm.xml
now works in both konq and in firefox3 (both x86_64).  Thanks!



-- Additional comment from updates@fedoraproject.org on 2008-01-24 16:56 EST --
nspluginwrapper-0.9.91.5-17.fc8 has been pushed to the Fedora 8 stable
repository.  If problems still persist, please make note of it in this bug report.
Comment 1 RHEL Product and Program Management 2008-02-26 23:47:57 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Martin Stransky 2008-03-25 10:07:10 EDT
Don't worry about the java issue. Just check that plug-ins listed in
EXCLUDE_WRAP: are excluded from wrapping. If they're the same arch they have to
be linked to the plugins-wrapped directory.

for i386: 

plug-ins must be linked from /usr/lib/mozilla/plugins to
/usr/lib/mozilla/plugins-wrapped

for x86_64:

plug-ins must be linked from /usr/lib64/mozilla/plugins to
/usr/lib64/mozilla/plugins-wrapped
Comment 6 Zack Cerza 2008-04-15 14:22:35 EDT
Verified in nspluginwrapper-0.9.91.5-21.el5
Comment 8 errata-xmlrpc 2008-05-21 10:33:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0477.html

Note You need to log in before you can comment on or make changes to this bug.